This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478612 - "DoDie called" Phrase found in message log.
"DoDie called" Phrase found in message log.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Heinrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-01 23:35 EST by Kelly-Rand
Modified: 2016-09-20 00:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:26:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kelly-Rand 2009-01-01 23:35:34 EST
Description of problem:
This phrase I have found in the /var/log/message logs of two different F10 installs of mine. One x86_64 and the other i686. This phrase is followed by the lines:

^@Dec 31 16:23:29 t23 kernel: Kernel logging (proc) stopped.
Dec 31 16:23:29 t23 rsyslogd: [origin software="rsyslogd" swVersion="3.21.9" x-pid="1929" x-info="http://www.rsyslog.com"] exiting on signal 15.

The line prefixed with the ^@ prevents the remainder of the message log file from being viewed in the system log viewer. It may coincide with an un-clean system shutdown but I'm not sure. Does anyone else have this occurring?
I will check bugzilla.

There were no references on bugzilla.

I did a review of older logs and found that the phrase "DoDie called" began to appear on Dec. 21st. On Dec 21st rsyslog was updated to version 3.21.9-1.fc10.i386 .

Version-Release number of selected component (if applicable):
rsyslog-3.21.9-1.fc10(.i386 and x86_64)

How reproducible:
Every time a system restart is called.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tomas Heinrich 2009-01-05 11:44:14 EST
This is a bug introduced with the new version. The "DoDie called." message is written when rsyslog receives SIGTERM, which happens during system shutdown. It shouldn't be written to the log file, though. The '^@' character shouldn't be there at all.
This should soon be fixed in an updated package. Thanks for the report.
Comment 2 Fedora Update System 2009-01-07 16:49:51 EST
rsyslog-3.21.9-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rsyslog'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0295
Comment 3 Kelly-Rand 2009-01-07 21:22:39 EST
The repositories have not been populated yet. I will grab it when I next login.
Comment 4 Kelly-Rand 2009-01-10 22:33:15 EST
I installed it for i686 on 1/9/09. It has been through two restarts without leaving evidence of DoDie.
Comment 5 Fedora Update System 2009-01-21 16:26:24 EST
rsyslog-3.21.9-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.